import './Target.styles_8qvdul.css';
import { styled } from '@linaria/react';
import { tokens } from '../../Combobox.tokens.js';
import { component, mergeConfig } from '../../../../engines/common.js';
import { textFieldConfig } from '../../../TextField/TextField.js';

var mergedConfig = /*#__PURE__*/mergeConfig(textFieldConfig);
var TextField = /*#__PURE__*/component(mergedConfig);
var _exp = function _exp() {
  return TextField;
};
var _exp7 = function _exp7() {
  return function (_ref) {
    var opened = _ref.opened;
    return opened ? "var(".concat(tokens.textFieldBackgroundColorFocus, ")") : "var(".concat(tokens.textFieldBackgroundColor, ")");
  };
};
var _exp9 = function _exp9() {
  return function (_ref2) {
    var opened = _ref2.opened;
    return opened ? "var(".concat(tokens.textFieldBackgroundColorFocus, ")") : "var(".concat(tokens.textFieldBackgroundColorHover, ")");
  };
};
var _exp11 = function _exp11() {
  return function (_ref3) {
    var opened = _ref3.opened;
    return opened ? "var(".concat(tokens.textFieldBorderColorFocus, ")") : "var(".concat(tokens.textFieldBorderColor, ")");
  };
};
var _exp13 = function _exp13() {
  return function (_ref4) {
    var opened = _ref4.opened;
    return opened ? "var(".concat(tokens.textFieldBorderColorFocus, ")") : "var(".concat(tokens.textFieldBorderColorHover, ")");
  };
};
var StyledTextField = /*#__PURE__*/styled(_exp())({
  name: "StyledTextField",
  "class": "sgnqblm",
  propsAsIs: true,
  vars: {
    "sgnqblm-0": [/*#__PURE__*/_exp7()],
    "sgnqblm-1": [/*#__PURE__*/_exp9()],
    "sgnqblm-2": [/*#__PURE__*/_exp11()],
    "sgnqblm-3": [/*#__PURE__*/_exp13()]
  }
});

export { StyledTextField };
